# Generated from ravanello-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ravanello

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Ravanello is the cli for analyzing redis keys (using debug)
License: MIT
URL: https://github.com/dsalahutdinov/ravanello
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(rubocop) >= 0.49
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Ravanello is the cli for analyze keys in redis and size of it's values.
Example of usage:
```bash
gem install ravanello
ravanello --version
REDIS_URL="redis://localhost/db" ravanello analyze --rules rules.yml
```
The rules files specifies the structure of the redis keys (splitted by :)
and should looks like this:
```yml
rules:
resque:
- 'delayed'
- 'resque-retry'
- 'timestamps'
- 'lock'
- 'meta'
```
After analyzing you will get the report in console:
```
Q-ty  Size  Key (sample)
4     24    * (hello)
1     6     denormalized:companies:* (denormalized:companies:99585213)
```
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/ravanello
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/dip.yml
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/ravanello.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.1-1
- Initial package
